com.io7m.jcamera

## Interface JCameraFPSStyleLinearIntegratorType

- All Superinterfaces:
    JCameraIntegratorType
  All Known Subinterfaces:
    JCameraFPSStyleIntegratorType
  All Known Implementing Classes:
    JCameraFPSStyleLinearIntegrator

      public interface JCameraFPSStyleLinearIntegratorType
      extends JCameraIntegratorType

  The type of integrators that integrate linear movement for `JCameraFPSStyleType` cameras.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCameraFPSStyleReadableType` | `integratorGetCamera()`
    `JCameraFPSStyleInputType` | `integratorGetInput()`
    `void` | `integratorLinearSetAcceleration(float a)` Set the linear acceleration to `a`.
    `void` | `integratorLinearSetDrag(float f)` Set the linear drag factor to `f`.
    `void` | `integratorLinearSetMaximumSpeed(float s)` Set the maximum linear movement speed to `s`.

    - ### Methods inherited from interface com.io7m.jcamera.JCameraIntegratorType

      `integrate`

- - ### Method Detail

    - #### integratorGetCamera

          JCameraFPSStyleReadableType integratorGetCamera()

      Returns:
        The camera that will be affected by the integrator

    - #### integratorGetInput

          JCameraFPSStyleInputType integratorGetInput()

      Returns:
        The input used to drive the integrator.

    - #### integratorLinearSetAcceleration

          void integratorLinearSetAcceleration(float a)

      Set the linear acceleration to `a`.
      Parameters:
        `a` - The linear acceleration.

    - #### integratorLinearSetDrag

          void integratorLinearSetDrag(float f)

      Set the linear drag factor to `f`.
      Parameters:
        `f` - The linear drag factor.

    - #### integratorLinearSetMaximumSpeed

          void integratorLinearSetMaximumSpeed(float s)

      Set the maximum linear movement speed to `s`.
      Parameters:
        `s` - The maximum linear speed.

Copyright © 2016 <code@io7m.com> http://io7m.com